Debian Bug report logs - #286959
RM: gxedit -- RoM, rc-buggy, last upload two years ago, no users

Packages: ftp.debian.org, gxedit; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>; Maintainer for gxedit is (unknown);

Reported by: Andreas Jochens <aj@andaco.de>

Date: Thu, 23 Dec 2004 08:48:01 UTC

Severity: serious

Tags: patch

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Chris Waters <xtifr@debian.org>:
Bug#286959; Package gxedit. Full text and rfc822 format available.

Acknowledgement sent to Andreas Jochens <aj@andaco.de>:
New Bug report received and forwarded. Copy sent to Chris Waters <xtifr@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Jochens <aj@andaco.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gxedit: FTBFS (amd64/gcc-4.0): invalid lvalue in assignment
Date: Thu, 23 Dec 2004 09:39:14 +0100
Package: gxedit
Severity: normal
Tags: patch

When building 'gxedit' on amd64 with gcc-4.0,
I get the following error:

gcc `gtk-config --cflags` -I. -O2 -g -Wall -DVERSION=\"1.23\" -c utils.c
utils.c: In function 'lindex':
utils.c:28: error: invalid lvalue in assignment
utils.c:29: error: invalid lvalue in assignment
utils.c: In function 'lrange':
utils.c:43: warning: null argument where non-null required (argument 2)
utils.c:47: error: invalid lvalue in assignment
utils.c:48: error: invalid lvalue in assignment
make[1]: *** [gxe] Error 1
make[1]: Leaving directory `/gxedit-1.23'
make: *** [build-stamp] Error 2

With the attached patch 'gxedit' can be compiled
on amd64 using gcc-4.0.

Regards
Andreas Jochens

diff -urN ../tmp-orig/gxedit-1.23/utils.c ./utils.c
--- ../tmp-orig/gxedit-1.23/utils.c	2004-12-23 09:28:44.357782832 +0100
+++ ./utils.c	2004-12-23 09:22:37.648531112 +0100
@@ -25,8 +25,8 @@
  static char tmpstring[1024];
  int i;
  strncpy(tmpstring,input_string,1024);
- (char *)tokens[i=0] = (char *)strtok(tmpstring, " ");
- while (((char *)tokens[++i] = (char *)strtok(NULL, " ")));
+ tokens[i=0] = (char *)strtok(tmpstring, " ");
+ while ((tokens[++i] = (char *)strtok(NULL, " ")));
  tokens[i] = NULL;
  return(tokens[word_number]);
 }
@@ -44,8 +44,8 @@
   strcpy(global_var,out_string);
   return (char *)global_var; }
  strncpy(tmpstring,input_string,1024);
- (char *)tokens[i=0] = (char *)strtok(tmpstring, " ");
- while(((char *)tokens[++i] = (char *)strtok(NULL, " ")));
+ tokens[i=0] = (char *)strtok(tmpstring, " ");
+ while((tokens[++i] = (char *)strtok(NULL, " ")));
  tokens[i] = NULL;
  i++;
  if(i<starting_at)
diff -urN ../tmp-orig/gxedit-1.23/xproc-src/xproc.c ./xproc-src/xproc.c
--- ../tmp-orig/gxedit-1.23/xproc-src/xproc.c	1999-02-23 07:02:43.000000000 +0100
+++ ./xproc-src/xproc.c	2004-12-23 09:24:28.877621720 +0100
@@ -11,8 +11,8 @@
  static char tmpstring[1024];
  int i;
  strncpy(tmpstring,input_string,1024);
- (char *)tokens[i=0] = (char *)strtok(tmpstring, " ");
- while (((char *)tokens[++i] = (char *)strtok(NULL, " ")));
+ tokens[i=0] = (char *)strtok(tmpstring, " ");
+ while ((tokens[++i] = (char *)strtok(NULL, " ")));
  tokens[i] = NULL;
  return(tokens[word_number]);
 }
@@ -30,8 +30,8 @@
   strcpy(global_var,out_string);
   return (char *)global_var; }
  strncpy(tmpstring,input_string,1024);
- (char *)tokens[i=0] = (char *)strtok(tmpstring, " ");
- while(((char *)tokens[++i] = (char *)strtok(NULL, " ")));
+ tokens[i=0] = (char *)strtok(tmpstring, " ");
+ while((tokens[++i] = (char *)strtok(NULL, " ")));
  tokens[i] = NULL;
  i++;
  if(i<starting_at)



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#286959; Package gxedit. Full text and rfc822 format available.

Acknowledgement sent to Chris Waters <xtifr@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 286959@bugs.debian.org (full text, mbox):

From: Chris Waters <xtifr@debian.org>
To: Andreas Jochens <aj@andaco.de>, 286959@bugs.debian.org
Subject: Re: Bug#286959: gxedit: FTBFS (amd64/gcc-4.0): invalid lvalue in assignment
Date: Thu, 23 Dec 2004 15:36:58 -0800
On Thu, Dec 23, 2004 at 09:39:14AM +0100, Andreas Jochens wrote:

> When building 'gxedit' on amd64 with gcc-4.0,
> I get the following error:
[error and patch elided]

If you would like to adopt gxedit, please feel free.  Otherwise, I'd
like to use this as a final excuse to have the package removed from
the archives.  It's obsolete and unsupported upstream.

(I guess what I'm trying to say is, please don't NMU this.  Either
adopt it and do a proper MU, or stand back and let it disappear.)

cheers

-- 
Chris Waters           |  Pneumonoultra-        osis is too long
xtifr@debian.org       |  microscopicsilico-    to fit into a single
or xtifr@speakeasy.net |  volcaniconi-          standalone haiku



Severity set to `serious'. Request was from Aurelien Jarno <aurelien@aurel32.net> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `gxedit' to `gxedit,ftp.debian.org'. Request was from Marc 'HE' Brockschmidt <marc@marcbrockschmidt.de> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Jochens <aj@andaco.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 286959-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 286959-close@bugs.debian.org
Subject: Bug#286959: fixed
Date: Mon, 12 Sep 2005 15:51:22 -0700
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

 gtk-shell |     1.23-8 | alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
    gxedit |     1.23-8 | source, alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc
    gxproc |     1.23-8 | alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 286959@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 10:43:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 15:42:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.